package io.skore.datami_plugin_example
import android.app.Activity
import android.app.Application
import android.content.pm.PackageManager
import android.util.Log
import com.datami.smi.SmiSdk
import io.flutter.view.FlutterMain

class MainApplication : Application() {
    private val TAG = MainApplication::class.java.simpleName

    private var mCurrentActivity: Activity? = null

    override fun onCreate() {
        super.onCreate()

        FlutterMain.startInitialization(this) // crash fix, thanks flutter (https://github.com/flutter/flutter/issues/14513)

        Log.d(TAG, "onCreate")

        // TODO get smiKey from RES file
        val smiKey = "ak-d6fde584-fca8-4eea-a108-82ea6822924c"

        val appIcon = packageManager.getApplicationInfo(packageName, PackageManager.GET_META_DATA).icon
        SmiSdk.initSponsoredData(smiKey, this, "", appIcon, true, null)
    }

    fun getCurrentActivity(): Activity? {
        return this.mCurrentActivity
    }

    fun setCurrentActivity(currentActivity: Activity) {
        mCurrentActivity = currentActivity
    }
}